EETOP 创芯网论坛

找回密码

  登录   注册  

搜帖子
查看: 12353|回复: 42

Cadence IC4151安装求救!!!SOS!!!

[复制链接]
发表于 2009-10-13 11:45:55 | 显示全部楼层 |阅读模式

马上注册,结交更多好友,享用更多功能,让你轻松玩转社区。

您需要 登录 才可以下载或查看,没有帐号?注册

x
我在电驴上下的ic5141,安装在Redhat EL5.3上,按照网上大侠的指点,成功安装,并启动license,可以运行icfb&了,但是存在一个Bug,导致运行的速度极慢。关闭Cadence的CIW,查看CDS.log文件,发现在最后有下列错误提示:
“ virserver.tcl error: libgcc_s.so.1 must be installed for pthread_cancel to work”
看这个意思是没有安装libgcc_s.so.1;但是用find命令查找它,有下列输出,

# find / -name libgcc_s.so*
/usr/lib/vmware-tools/lib64/libgcc_s.so.1
/usr/lib/vmware-tools/lib64/libgcc_s.so.1/libgcc_s.so.1
/usr/lib/vmware-tools/lib32/libgcc_s.so.1
/usr/lib/vmware-tools/lib32/libgcc_s.so.1/libgcc_s.so.1
/lib/libgcc_s.so.1
/home/eda/cadence/ic5141/tools.lnx86/systemc/gcc/3.2.3/install/lib/libgcc_s.so
/home/eda/cadence/ic5141/tools.lnx86/systemc/gcc/3.2.3/install/lib/libgcc_s.so.1
/home/eda/cadence/ic5141/tools.lnx86/lib/libgcc_s.so
/home/eda/cadence/ic5141/tools.lnx86/lib/libgcc_s.so.1

一下子找出了这么多,所以,请大侠指点,如何解决这个Bug?
跪谢!!
我的QQ:1003176749
发表于 2009-10-13 13:28:53 | 显示全部楼层
OS 版本不對
回复 支持 反对

使用道具 举报

 楼主| 发表于 2009-10-13 13:34:52 | 显示全部楼层
对比RHEL4,在/usr/lib/ 目录下有gcc目录,里面有很多的内容,似乎是真的缺少libgcc_s.so,没有办法,在RPM下载网站上:http://rpm.pbone.net/index.php3? ... 1.2-44.el5.i386.rpm
下载安装,没有完成,提示系统已经安装了libgcc。信息如下:
[root@localhost linuxosfiles]# rpm -ivh libgcc-4.1.2-44.el5.i386.rpm
warning: libgcc-4.1.2-44.el5.i386.rpm: Header V3 DSA signature: NOKEY, key ID 82fd17b2
Preparing...                ########################################### [100%]
        package libgcc-4.1.2-44.el5.i386 is already installed
我就有点郁闷了,这是怎么回事?紧急!!!
回复 支持 反对

使用道具 举报

发表于 2009-10-13 14:58:16 | 显示全部楼层
package libgcc-4.1.2-44.el5.i386
这个不对
回复 支持 反对

使用道具 举报

 楼主| 发表于 2009-10-14 19:24:25 | 显示全部楼层
#ln -s  /lin/libgcc_s.so.1 /usr/lib/libgcc_s.so
setenv LD_PRELOAD /usr/lib/libgcc_s.so
%source .cshrc
%icfb &
回复 支持 反对

使用道具 举报

 楼主| 发表于 2009-10-14 19:25:27 | 显示全部楼层
回复 支持 反对

使用道具 举报

发表于 2009-10-14 19:27:10 | 显示全部楼层
os 换成RHEL4 安装
回复 支持 反对

使用道具 举报

发表于 2009-10-14 23:42:58 | 显示全部楼层
这个很简单,他说缺libgcc_s.so.1你就下一个对应RHEL5.3的libgcc_s.so.1安装一下,记得一共缺三个库文件,还有一个libXP.so,还有一个什么不记得了,反正他说缺什么你就下什么装上。
回复 支持 反对

使用道具 举报

发表于 2009-10-15 09:22:32 | 显示全部楼层
试试 setenv LD_ASSUME_KERNEL 2.4.1
回复 支持 反对

使用道具 举报

 楼主| 发表于 2009-10-15 16:31:49 | 显示全部楼层
已经解决!!!谢谢各位大侠的指点。
不过顺便说一下,如果设定
setenv LD_ASSUME_KERNEL 2.4.1
会产生很多新的问题,并且导致ic5141和calibre不能使用,提示缺少更多的包,所以,这样的方法放弃了
还有,按照8#的说法,已经在提出问题的时候说明过了,系统已经安装了对应的包:安装的时候,报告错误。——参见3#的本人的说明。
使用RHEL4的后期版本也有一样的问题,早期的版本没有去试过。
解决方法参见5#
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 注册

本版积分规则

关闭

站长推荐上一条 /4 下一条

小黑屋| 关于我们| 联系我们| 在线咨询 |  EETOP 创芯网 ( 京ICP备:10050787号 京公网安备:11010502037710 )

GMT+8, 2020-1-28 04:06 , Processed in 0.108222 second(s), 9 queries , Gzip On, Redis On.

Powered by Discuz! X3.4

© 2001-2017 Comsenz Inc.

快速回复 返回顶部 返回列表